Subject: Re: [PATCH net] diag: fix netlink API attributes

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 28 Nov 2013 18:37:08 +0100

Le 28/11/2013 17:38, Thomas Graf a écrit :
> On 11/28/13 at 02:57pm, Nicolas Dichtel wrote:
>> The first netlink attribute (value 0) must always be defined as none/unspec.
>> This is correctly done in inet_diag.h, but other diag interfaces are broken.
>>
>> Libraries like libnl skip this kind of attributes, thus it's never reported to
>> the application.
>>
>> CC: Thomas Graf <[email-masked]>
>> Signed-off-by: Nicolas Dichtel <[email-masked]>
>
> First of all, thanks for the notification Nicolas. I'll fix libnl to
> pass through these attributes.
Fine :)
Thank you!

>
> I think the fix you propose is no an option as it breaks backwards
> compatiblity with existing user space. We cannot change the value
> of existing attributes.
Yes, I was just wondering how to fix it.
It also breaks the patch you've proposed in this thread:
http://thread.gmane.org/gmane.linux.network/251478/focus=252764

Hence, aligning attributes on 64-bits is still unresolved :(